Simple-Sync-Phone
=================

Wizard for using **rsync** from a Linux machine to an Android-based phone with the **SimpleSSHD** application.

It allows you to push a file or a whole directory to an Android device.

---
Prerequisite on Android
-----------------------

* Install **SimpleSSHD** from [f-droid](https://f-droid.org/fr/packages/org.galexander.sshd/), for example.
* Choose a port for the phone (default: 2222). If you plan to use multiple phones, it may be convenient to use port 2223 for the first phone, 2224 for the second…

Using **SimpleSSHD** is not mandatory, what is needed is an SSH server (sshd) that supports scp, sftp, and rsync. But above all, it must be possible to modify the listening port.

---
Install on Linux of **simple-sync-phone**
-----------------------------------------

### Install the latest version (recommended solution).

Go to the page: <https://releases.cclaude.rocks/simple-sync-phone/index.html>

### Installation from the source code (reserved for advanced users)

Get the code of **simple-sync-phone**, from a terminal:

```bash
git clone --recurse-submodules https://gitea.cclaude.rocks/tools/simple-sync-phone.git
```

---
Using **simple-sync-phone**
---------------------------

*

### Automatic configuration

This step is the most specific to **SimpleSSHD** which expects, by default, its `authorized_keys` file in the application directory.

This step ensures that the required tools are present on the Linux machine and then copies your public key to the `authorized_keys` file on the phone.

If the phone's IP address is not given, **simple-sync-phone** attempts to determine it automatically.

Note that after updating the public key on the phone, it is advisable to restart the **sshd** server. Stop **SimpleSSHD** and then restart it.

*

### Synchronization

When your phone is set up, you can use copy/sync mode.

*

### Command and application

There is two programme [simple-sync-phone](docs/simple-sync-phone.md) and [simple-sync-phone-gui](docs/simple-sync-phone-gui.md).

---
