#!/bin/bash
#
# simple-sync-phone:bin/api/cli/rsync-to-phone-ui-api.sh
#
function rsync_to_phone_ui {
  local -r ip="$1"
  local -r port="$2"
  local -r copy_into="$3"
  local -r source="$4"
  local -r destination="$5"

  if [ ! -e "${source}" ] ; then
    echo "File not found: '${source}'."
    return 100
  fi

  if [ -f "${source}" ] ; then
    echoinfo "Synchronize file: '${source}'"
  elif [ -d "${source}" ] ; then
    echoinfo "Synchronize directory: '${source}'"
  else
    echofatal "Can't handle file type for: '${source}'"
    return 100
  fi
  rsync_to_phone "${ip}" "${port}" "${copy_into}" "${source}" "${destination}" || return $?
}

