#!/bin/bash
#
# simple-sync-phone:bin/api/rsync-to-phone-config-api.sh
#

# __install_if_needed_init__

# __install_if_needed_check__

# __install_if_needed_finalize__

# requirements_config_init_pub_key_file

function __requirements_config_list_ssh_key_files__ {
  declare -gx  __REQUIREMENTS_CONFIG_SSH_KEY_FILES__=
  declare -gix __REQUIREMENTS_CONFIG_SSH_KEY_FILES_COUNT__=0

  __REQUIREMENTS_CONFIG_SSH_KEY_FILES__="$( find ~/.ssh -maxdepth 1 -mindepth 1 -type f -name 'id_*.pub' )" || return $?

  if [ -n "${__REQUIREMENTS_CONFIG_SSH_KEY_FILES__}" ] ; then
    __REQUIREMENTS_CONFIG_SSH_KEY_FILES_COUNT__="$( wc -l <<<"${__REQUIREMENTS_CONFIG_SSH_KEY_FILES__}" )" || return $?
  fi
}

function __requirements_config_list_ssh_keys__ {
  declare -g __REQUIREMENTS_CONFIG_SSH_KEYS__=
  declare -gi __REQUIREMENTS_CONFIG_SSH_KEYS_COUNT__=0

  __REQUIREMENTS_CONFIG_SSH_KEYS__="$(
    [ "${VERBOSE:-}" = 'true' ] && set -x
    ssh-agent sh -c 'ssh-add -q; ssh-add -L -q'
    )" || return $?
  __REQUIREMENTS_CONFIG_SSH_KEYS_COUNT__="$( wc -l <<<"${__REQUIREMENTS_CONFIG_SSH_KEYS__}" )" || return $?
}

# requirements_config

function requirements_tools {
  __install_if_needed_init__ || return $?

  __install_if_needed_check__ 'ssh' 'openssh-client' || return $?
  __install_if_needed_check__ 'ip' 'iproute2' || return $?
  __install_if_needed_check__ 'sed' || return $?
  __install_if_needed_check__ 'grep' || return $?
  __install_if_needed_check__ 'rsync' || return $?
  __install_if_needed_check__ 'jq' || return $?
  __install_if_needed_check__ 'nmap' || return $?

  __install_if_needed_finalize__ || return $?
}

